Skip to main content
GET
/
v1
/
chats
/
{chatId}
/
messages
/
events
Get Message Events
curl --request GET \
  --url https://api.yourhomie.ai/v1/chats/{chatId}/messages/events \
  --header 'Authorization: Bearer <token>'
{
  "chatId": "<string>",
  "eventId": "<string>",
  "toolName": "<string>",
  "content": "<string>",
  "toolArgs": {},
  "toolResponse": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.yourhomie.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatId
string
required

Response

200 - application/json

Einzelnes MessageEventDto (wird als SSE-Event gesendet)

chatId
string

ID des Chats

eventId
string

ID des Events

toolName
string

Name des Tools, das verwendet wurde

content
string

Inhalt der Nachricht oder Eventbeschreibung

toolArgs
object

Optionales Objekt mit Parametern, die an das Tool übergeben wurden

toolResponse
object

Optionales Objekt mit der Antwort vom Tool

status
enum<string>

Status des Events

Available options:
inProgress,
completed,
failed